<div class="form-container">
  <mat-horizontal-stepper [linear]="true" *ngIf="!isDeleteMode" #stepper>
    <form [formGroup]="productForm" (submit)="submit()">
      <mat-step [stepControl]="productForm">
        <ng-template matStepLabel>Step 1</ng-template>
        <mat-form-field class="form-field" appearance="outline">
          <mat-label> Marca </mat-label>
          <input matInput formControlName="brand" required />
          <mat-error
            *ngIf="
              productForm.controls.brand.touched &&
              productForm.controls.brand.invalid
            "
          >
            <span *ngIf="productForm.controls.brand.errors?.required"
              >Questo campo è obbligatorio.</span
            >
          </mat-error>
        </mat-form-field>
        <mat-form-field class="form-field" appearance="outline">
          <mat-label> Nome </mat-label>
          <input matInput formControlName="name" required />
          <mat-error
            *ngIf="
              productForm.controls.name.touched &&
              productForm.controls.name.invalid
            "
          >
            <span *ngIf="productForm.controls.name.errors?.required"
              >Questo campo è obbligatorio.</span
            >
          </mat-error>
        </mat-form-field>
        <mat-form-field class="form-field" appearance="outline">
          <mat-label> EAN </mat-label>
          <input matInput formControlName="ean" required />
          <mat-error
            *ngIf="
              productForm.controls.ean.touched &&
              productForm.controls.ean.invalid
            "
          >
            <span *ngIf="productForm.controls.ean.errors?.required"
              >Questo campo è obbligatorio.</span
            >
            <span *ngIf="productForm.controls.ean.errors?.pattern"
              >Questo campo non è valido.</span
            >
          </mat-error>
        </mat-form-field>
        <div class="switch-button-row">
          <button
            mat-flat-button
            color="secondary"
            [mat-dialog-close]
            (click)="onNoClick()"
          >
            Annulla
          </button>
          <button mat-flaticon-button color="primary" matStepperNext>Avanti</button>
        </div>
      </mat-step>
      <mat-step [stepControl]="productForm">
        <ng-template matStepLabel>Step 2</ng-template>
        <mat-form-field class="form-field" appearance="outline">
          <mat-label> Categoria </mat-label>
          <select
            matNativeControl
            class="custom-select"
            (change)="changeCategory($event)"
            formControlName="category"
          >
            <option value="" disabled>Scegli la destinazione di vendita</option>
            <option *ngFor="let category of Category" [ngValue]="category">
              {{ category }}
            </option>
          </select>
          <mat-error
            *ngIf="
              productForm.controls.category.touched &&
              productForm.controls.category.invalid
            "
          >
            <span *ngIf="productForm.controls.category.errors?.required"
              >Questo campo è obbligatorio.</span
            >
          </mat-error>
        </mat-form-field>
        <mat-form-field class="form-field" appearance="outline">
          <mat-label> Quantità </mat-label>
          <input
            matInput
            type="number"
            min="0"
            formControlName="quantity"
            required
          />
          <mat-error
            *ngIf="
              productForm.controls.quantity.touched &&
              productForm.controls.quantity.invalid
            "
          >
            <span *ngIf="productForm.controls.quantity.errors?.required"
              >Questo campo è obbligatorio.</span
            >
            <span
              *ngIf="
                productForm.controls.quantity.errors?.min ||
                productForm.controls.quantity.errors?.pattern
              "
              >Questo campo non è valido.</span
            >
          </mat-error>
        </mat-form-field>
        <div>
          <button
            mat-raised-button
            color="secondary"
            [mat-dialog-close]
            (click)="onNoClick()"
          >
            Annulla
          </button>
          <button mat-button matStepperPrevious>Indietro</button>
          <button mat-button matStepperNext>Avanti</button>
        </div>
      </mat-step>
      <mat-step [stepControl]="productForm">
        <ng-template matStepLabel>Step 2</ng-template>
        <mat-form-field class="form-field" appearance="outline">
          <mat-label> Prezzo d'Acquisto </mat-label>
          <input
            matInput
            type="number"
            min="0"
            formControlName="buying_price"
            required
          />
          <mat-error
            *ngIf="
              productForm.controls.buying_price.touched &&
              productForm.controls.buying_price.invalid
            "
          >
            <span *ngIf="productForm.controls.buying_price.errors?.required"
              >Questo campo è obbligatorio.</span
            >
            <span *ngIf="productForm.controls.buying_price.errors?.min"
              >Questo campo non è valido.</span
            >
          </mat-error>
        </mat-form-field>
        <mat-form-field class="form-field" appearance="outline">
          <mat-label> Prezzo di Vendita </mat-label>
          <input
            matInput
            type="number"
            min="0"
            formControlName="selling_price"
            required
          />
          <mat-error
            *ngIf="
              productForm.controls.selling_price.touched &&
              productForm.controls.selling_price.invalid
            "
          >
            <span *ngIf="productForm.controls.selling_price.errors?.required"
              >Questo campo è obbligatorio.</span
            >
            <span *ngIf="productForm.controls.selling_price.errors?.min"
              >Questo campo non è valido.</span
            >
          </mat-error>
        </mat-form-field>
        <div>
          <button
            mat-raised-button
            color="secondary"
            [mat-dialog-close]
            (click)="onNoClick()"
          >
            Annulla
          </button>
          <button mat-button matStepperPrevious>Indietro</button>
          <button
            mat-raised-button
            color="primary"
            type="submit"
            [mat-dialog-close]
            cdkFocusInitial
            *ngIf="isAddMode"
          >
            Aggiungi
          </button>
          <button
            mat-raised-button
            color="primary"
            type="submit"
            [mat-dialog-close]
            cdkFocusInitial
            *ngIf="!isAddMode"
          >
            Modifica
          </button>
        </div>
      </mat-step>
    </form>
  </mat-horizontal-stepper>
  <form [formGroup]="productForm" (submit)="submit()" *ngIf="isDeleteMode">
    Sei Sicuro di voler eliminare il prodotto selezionato?
    <button
      mat-raised-button
      color="secondary"
      [mat-dialog-close]
      (click)="onNoClick()"
    >
      Annulla
    </button>
    <button
      mat-raised-button
      color="primary"
      type="submit"
      [mat-dialog-close]
      cdkFocusInitial
    >
      Elimina
    </button>
  </form>
</div>
